/*
 * CriteriaTest.java
 *
 * Created on 2007/02/16, 8:45
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package test.org.itscool.commons.dao3;

import java.util.Calendar;
import junit.framework.TestCase;
import org.itscool.commons.dao.Criteria;

/**
 *
 * @author ios
 */
public class CriteriaTest extends TestCase{
    
    public void testSelect1(){
        Criteria crt = new Criteria(DateBean.class);
        String line = System.getProperty("line.separator");
        
        String sql = crt.toSelectString();
        
        System.out.println("** testSelect1() ** ");
        System.out.println("result->"+sql);
    }
    
    public void testInsert(){
        Criteria crt = new Criteria(DateBean.class);
        String line = System.getProperty("line.separator");
        DateBean bean = new DateBean();
        bean.setDateTm(Calendar.getInstance().getTime());
        String sql = crt.toInsertString(bean);
        
        System.out.println("** testInsert1() ** ");
        System.out.println("result->"+sql);
    }
}
